

import { ChapterData } from "../interface/ChapterData";


/**
 * 221到240关数据
 */
export const Chapters12: ChapterData[] = [
    //221
    {
        baseElementTypes: [0, 2, 3, 4],
        bubbleProbability: 0,
        stepCount: 25,
        passTarget: { type: 1, elements: [{ type: 2, count: 40 }, { type: 4, count: 40 }, { type: 1, count: 40 }] },
        starScores: [6000, 12000, 18000],
        map: {
            lattices: [
                0, 1, 1, 1, 1, 1, 1, 0, 0,
                1, 1, 1, 1, 1, 1, 1, 1, 0,
                1, 1, 1, 1, 1, 1, 1, 1, 0,
                1, 1, 1, 1, 1, 1, 1, 1, 0,
                1, 1, 1, 1, 1, 1, 1, 1, 0,
                1, 1, 1, 1, 1, 1, 1, 1, 0,
                1, 1, 1, 1, 1, 1, 1, 1, 0,
                0, 1, 1, 1, 1, 1, 1, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0
            ],
            connectedLats: [],
            elements: [
                1, 1, 1, 1, 1, 1, 1, 1, 1,
                1, 1, 1, 1, 1, 1, 1, 1, 1,
                1, 1, 1, 1, 1, 1, 1, 1, 1,
                2, 1, 1, 1, 1, 1, 1, 2, 1,
                4, 2, 1, 1, 1, 1, 2, 4, 1,
                2, 4, 6, 7, 7, 6, 4, 2, 1,
                7, 2, 4, 6, 6, 4, 2, 7, 1,
                1, 7, 2, 2, 2, 2, 7, 1, 1,
                1, 1, 1, 1, 1, 1, 1, 1, 1
            ],
            recycles: [],
            generateLats: [{ index: 1, type: null }, { index: 2, type: null }, { index: 3, type: null }, { index: 4, type: null }, { index: 5, type: null }, { index: 6, type: null }, { index: 9, type: null }, { index: 16, type: null }]
        }
    },
    //222
    {
        baseElementTypes: [0, 1, 2, 3, 4],
        bubbleProbability: 0.1,
        stepCount: 29,
        passTarget: { type: 1, elements: [{ type: 6, count: 2 }] },
        starScores: [5000, 12000, 21000],
        map: {
            lattices: [
                0, 1, 1, 1, 1, 1, 1, 1, 0,
                1, 1, 1, 1, 1, 1, 1, 1, 1,
                1, 1, 1, 1, 1, 1, 1, 1, 1,
                1, 1, 1, 1, 0, 1, 1, 1, 1,
                1, 1, 1, 1, 1, 1, 1, 1, 1,
                1, 1, 1, 1, 1, 1, 1, 1, 1,
                1, 1, 1, 1, 1, 1, 1, 1, 1,
                1, 1, 1, 1, 1, 1, 1, 1, 1,
                0, 1, 0, 1, 0, 1, 0, 1, 0
            ],
            connectedLats: [[22, 40], [65, 7], [69, 1]],
            elements: [
                1, 1, 3, 1, 1, 1, 1, 1, 1,
                1, 1, 1, 1, 1, 1, 1, 1, 1,
                1, 1, 7, 7, 1, 7, 7, 1, 1,
                2, 1, 7, 4, 1, 4, 7, 1, 2,
                1, 1, 7, 7, 5, 7, 7, 1, 1,
                8, 8, 8, 5, 5, 5, 8, 8, 8,
                1, 1, 1, 2, 5, 2, 1, 1, 1,
                2, 1, 2, 4, 2, 4, 2, 1, 2,
                1, 1, 1, 1, 1, 1, 1, 1, 1
            ],
            baseElements: [
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 13, 0, 33, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0
            ],
            recycles: [],
            generateLats: [{ index: 2, type: null }, { index: 3, type: null }, { index: 4, type: null }, { index: 5, type: null }, { index: 6, type: null }, { index: 9, type: null }, { index: 17, type: null }]
        }
    },
    //223
    {
        baseElementTypes: [0, 1, 2, 3, 4],
        bubbleProbability: 0,
        stepCount: 20,
        passTarget: { type: 1, elements: [{ type: 9, count: 26 }] },
        starScores: [5000, 11000, 24000],
        map: {
            lattices: [
                1, 1, 1, 0, 2, 0, 1, 1, 1,
                1, 1, 1, 0, 2, 0, 1, 1, 1,
                1, 1, 1, 2, 2, 2, 1, 1, 1,
                0, 0, 3, 3, 3, 3, 3, 0, 0,
                3, 3, 3, 3, 3, 1, 3, 1, 1,
                0, 0, 3, 3, 3, 3, 3, 0, 0,
                1, 1, 1, 2, 2, 2, 1, 1, 1,
                1, 1, 1, 0, 2, 0, 1, 1, 1,
                1, 1, 1, 0, 2, 0, 1, 1, 1
            ],
            connectedLats: [[18, 36], [19, 37], [37, 55], [25, 43], [26, 44], [43, 61]],
            elements: [
                1, 1, 1, 0, 1, 0, 1, 1, 1,
                1, 1, 1, 0, 1, 0, 1, 1, 1,
                1, 1, 1, 1, 1, 1, 1, 1, 1,
                0, 0, 1, 8, 5, 8, 1, 0, 0,
                1, 4, 1, 7, 5, 7, 2, 4, 1,
                0, 0, 1, 8, 5, 8, 1, 0, 0,
                1, 1, 1, 1, 1, 1, 1, 1, 1,
                1, 1, 1, 0, 1, 0, 1, 1, 1,
                1, 1, 1, 0, 1, 0, 1, 1, 1
            ],
            baseElements: [
                0, 0, 0, 0, 22, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                21, 13, 0, 0, 0, 0, 0, 43, 31,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 12, 0, 0, 0, 0
            ],
            recycles: [],
            generateLats: [
                { index: 0, type: null },
                { index: 1, type: null },
                { index: 2, type: null },
                { index: 4, type: null },
                { index: 6, type: null },
                { index: 7, type: null },
                { index: 8, type: null },
                { index: 21, type: null },
                { index: 23, type: null }
            ]
        }
    },
    //224
    {
        baseElementTypes: [0, 2, 1, 4, 3],
        bubbleProbability: 0,
        stepCount: 35,
        passTarget: { type: 1, elements: [{ type: 9, count: 32 }] },
        starScores: [6000, 11000, 21000],
        map: {
            lattices: [
                1, 3, 3, 1, 3, 3, 1, 1, 1,
                1, 1, 3, 3, 3, 1, 1, 1, 3,
                1, 1, 1, 3, 1, 1, 1, 3, 3,
                3, 1, 1, 1, 1, 1, 3, 3, 1,
                3, 3, 1, 1, 1, 1, 1, 3, 3,
                1, 3, 3, 1, 1, 1, 1, 1, 3,
                3, 3, 1, 1, 1, 3, 1, 1, 1,
                3, 1, 1, 1, 3, 3, 3, 1, 1,
                1, 1, 1, 3, 3, 1, 3, 3, 1
            ],
            connectedLats: [],
            elements: [
                1, 5, 5, 1, 5, 5, 1, 1, 1,
                1, 1, 5, 5, 5, 1, 1, 1, 8,
                1, 1, 1, 2, 1, 1, 1, 8, 8,
                7, 1, 1, 1, 1, 1, 8, 8, 1,
                7, 7, 1, 1, 1, 1, 1, 8, 8,
                1, 7, 7, 1, 1, 1, 1, 1, 8,
                7, 7, 1, 1, 1, 2, 1, 1, 1,
                7, 1, 1, 1, 2, 2, 2, 1, 1,
                1, 1, 1, 2, 2, 1, 2, 2, 1
            ],
            baseElements: [
                0, 0, 0, 14, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 14,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                14, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 14, 0, 0, 0
            ],
            recycles: [],
            generateLats: [{ index: 0, type: null }, { index: 1, type: null }, { index: 2, type: null }, { index: 3, type: null }, { index: 4, type: null }, { index: 5, type: null }, { index: 6, type: null }, { index: 7, type: null }, { index: 8, type: null }, { index: 10, type: null }, { index: 11, type: null }, { index: 12, type: null }, { index: 13, type: null }, { index: 14, type: null }, { index: 15, type: null }, { index: 16, type: null }, { index: 18, type: null }, { index: 19, type: null }, { index: 20, type: null }, { index: 21, type: null }, { index: 22, type: null }, { index: 23, type: null }, { index: 24, type: null }, { index: 25, type: null }]
        }
    },
    //225
    {
        baseElementTypes: [1, 2, 3, 4],
        bubbleProbability: 0,
        stepCount: 18,
        passTarget: { type: 1, elements: [{ type: 9, count: 28 }, { type: 1, count: 48 }] },
        starScores: [5000, 14000, 23000],
        map: {
            lattices: [
                0, 1, 1, 1, 1, 1, 1, 1, 0,
                0, 0, 1, 1, 1, 1, 1, 0, 0,
                2, 2, 0, 1, 1, 1, 0, 2, 2,
                2, 2, 1, 1, 1, 1, 1, 2, 2,
                2, 2, 1, 1, 1, 1, 1, 2, 2,
                2, 2, 1, 1, 1, 1, 1, 2, 2,
                2, 2, 1, 1, 1, 1, 1, 2, 2,
                2, 2, 1, 0, 0, 0, 1, 2, 2,
                2, 2, 1, 0, 1, 0, 1, 2, 2
            ],
            connectedLats: [[11, 29], [15, 33]],
            elements: [
                0, 1, 1, 1, 1, 1, 1, 1, 1,
                0, 0, 2, 2, 1, 2, 2, 0, 0,
                4, 4, 0, 2, 2, 2, 0, 4, 4,
                2, 5, 4, 1, 1, 1, 4, 5, 2,
                5, 2, 4, 1, 9, 1, 4, 2, 5,
                2, 5, 6, 1, 9, 1, 6, 5, 2,
                5, 2, 4, 1, 9, 1, 4, 2, 5,
                2, 5, 4, 0, 0, 0, 4, 5, 2,
                4, 4, 0, 0, 1, 0, 0, 4, 4
            ],
            baseElements: [
                0, 30, 50, 30, 40, 30, 50, 30, 0,
                0, 0, 0, 0, 33, 0, 0, 0, 0,
                20, 30, 0, 0, 0, 0, 0, 30, 20,
                0, 0, 20, 0, 0, 0, 20, 0, 0,
                0, 0, 20, 30, 42, 30, 20, 0, 0,
                0, 0, 30, 40, 50, 40, 30, 0, 0,
                0, 0, 20, 30, 40, 30, 20, 0, 0,
                0, 0, 20, 0, 0, 0, 20, 0, 0,
                20, 30, 30, 0, 21, 0, 30, 30, 20
            ],
            recycles: [],
            generateLats: [
                { index: 1, type: 0 },
                { index: 2, type: 0 },
                { index: 3, type: 0 },
                { index: 4, type: 0 },
                { index: 5, type: 0 },
                { index: 6, type: 0 },
                { index: 7, type: 0 },
                { index: 18, type: 0 },
                { index: 19, type: 0 },
                { index: 25, type: 0 },
                { index: 26, type: 0 },
                { index: 39, type: 0 },
                { index: 40, type: 0 },
                { index: 41, type: 0 },

                { index: 27, type: 0 },
                { index: 28, type: 0 },

                { index: 35, type: 0 },
                { index: 34, type: 0 },

                { index: 30, type: 0 },
                { index: 31, type: 0 },
                { index: 32, type: 0 },
            ]
        }
    },
    //226带石门测试
    {
        baseElementTypes: [0, 1, 2, 3, 4],
        bubbleProbability: 0,
        stepCount: 2,
        passTarget: { type: 1, elements: [{ type: 9, count: 43 }] },
        starScores: [5000, 12000, 21000],
        map: {
            lattices: [
                0, 1, 1, 1, 1, 1, 1, 1, 0,
                1, 1, 1, 1, 1, 1, 1, 1, 1,
                1, 1, 1, 1, 1, 1, 1, 1, 1,
                61, 61, 61, 61, 0, 6, 6, 6, 6,
                3, 3, 3, 3, 0, 3, 3, 3, 3,
                3, 3, 3, 3, 0, 3, 3, 3, 3,
                3, 3, 3, 3, 0, 3, 3, 3, 3,
                0, 3, 3, 3, 0, 3, 3, 3, 0,
                0, 0, 3, 3, 3, 3, 3, 0, 0
            ],
            connectedLats: [[54, 5], [64, 6], [74, 7], [75, 17], [22, 76]],
            elements: [
                1, 9, 9, 8, 3, 8, 9, 9, 1,
                1, 1, 1, 5, 4, 5, 1, 1, 1,
                1, 1, 1, 6, 4, 6, 1, 1, 1,
                2, 2, 2, 2, 1, 1, 1, 5, 1,
                1, 1, 1, 1, 1, 0, 0, 0, 0,
                1, 1, 1, 1, 1, 0, 0, 0, 0,
                1, 1, 1, 1, 1, 0, 0, 0, 0,
                1, 1, 1, 1, 1, 0, 0, 0, 1,
                1, 1, 7, 7, 7, 0, 0, 1, 1
            ],
            recycles: [],
            generateLats: [{ index: 1, type: null }, { index: 2, type: null }, { index: 3, type: null }, { index: 4, type: null }, { index: 9, type: null }]
        }
    },
]